%undefine _missing_build_ids_terminate_build
%define _unpackaged_files_terminate_build 1

%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%global _prefix            /usr
%global mandir             /usr/share/man
%global sysconfdir         /etc/indimail

%if %{defined _project}
# define to 1 if building on openSUSE build service
%define build_on_obs       1
%else
%define _project           local
%define build_on_obs       0
%endif

%if %{defined nodebug}
%global debug_package %{nil}
%endif

%if %build_on_obs == 1
%global packager Manvendra Bhangui <procmail@indimail.org>
%global dist redhat
%global disttag rh
%endif

%if %{is_suse} != 0
%global dist suse
%global disttag suse
%endif

%if %{is_fedora} != 0
%global dist %{?dist}
%global disttag rhfc
%global fedora_version %(cat /etc/fedora-release | awk '{print $3}')
%endif
%if 0%{?suse_version}
%global noperms            1
%else
%global noperms            0
%endif

Summary: The Mail processing/filtering program
Name: procmail
Version: 3.23.0
Release: 1.1%{?dist}
%if %build_on_obs == 1
License: GPL-3.0+
%else
License: GPLv3
%endif
Group: Productivity/Networking/Email/Utilities
Source0: http://downloads.sourceforge.net/indimail/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/indimail/%{name}-rpmlintrc
%if %noperms == 0
%if 0%{?suse_version} >= 1120
Source2: http://downloads.sourceforge.net/indimail/%{name}-permissions.easy
Source3: http://downloads.sourceforge.net/indimail/%{name}-permissions.secure
Source4: http://downloads.sourceforge.net/indimail/%{name}-permissions.paranoid
%endif
%endif

%if %noperms == 0
%if 0%{?suse_version} >= 1120
PreReq: permissions
%endif
%endif

%if %build_on_obs == 1
BuildRequires: -post-build-checks  
%endif
URL: http://www.indimail.org

BuildRequires: coreutils

Requires: coreutils grep /bin/sh /usr/bin/id glibc openssl
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Most mail servers such as sendmail need to have a local delivery agent.
Procmail can be used as the local delivery agent for you mail server.  It
supports a rich command set that allows you to pre-sort, archive, or re-mail
incoming mail automatically.  SmartList also needs procmail to operate.

%prep
%setup -q

%build
%configure --prefix=%{_prefix} --enable-sendmail-prog=%{_prefix}/bin/sendmail \
  --sysconfdir=/etc/indimail

%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -fr $RPM_BUILD_ROOT
%{__make} -s %{?_smp_mflags}
%if %{defined nodebug}
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install-strip
%else
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install
%endif
%if %noperms == 0
%if 0%{?suse_version} >= 1120
%{__mkdir_p} %{buildroot}%{_sysconfdir}/permissions.d/
install -m 644 %{S:2} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions
install -m 644 %{S:3} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif
find %{buildroot}%{mandir} -type f -exec gzip -q {} \;

%files
%defattr(-,root,root)

%attr(4511,root,root)                             %{_prefix}/bin/procmail
%attr(755,root,root)                              %{_prefix}/bin/lockfile
%attr(755,root,root)                              %{_prefix}/bin/formail
%attr(755,root,root)                              %{_prefix}/bin/mailstat
%attr(644,root,root) %config(noreplace)           %{sysconfdir}/procmail.perms
%attr(644,root,root) %config(noreplace)           %{sysconfdir}/procmail-release

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%attr(644,root,root)                              %{_sysconfdir}/permissions.d/%{name}-permissions
%attr(644,root,root)                              %{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif

%attr(644,root,root)                              %{mandir}/man[1,5]/*
#%%doc [A-Z]* examples
%attr(644,root,root)                              %{_prefix}/share/doc/procmail/AUTHORS
%attr(644,root,root)                              %{_prefix}/share/doc/procmail/COPYING
%attr(644,root,root)                              %{_prefix}/share/doc/procmail/INSTALL.procmail

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%verify (not user group mode) %attr(4511, root, root)      %{_prefix}/bin/procmail
%endif
%endif

### SCRIPTLET ###############################################################################
%verifyscript
ID=$(id -u)
if [ $ID -ne 0 ] ; then
  echo "You are not root" 1>&2
  exit 1
fi
%if %noperms == 0
%if 0%{?suse_version} >= 1120
%verify_permissions -e %{_prefix}/bin/procmail
%endif
%endif

%post
ID=$(id -u)
if [ $ID -ne 0 ] ; then
  echo "You are not root" 1>&2
  exit 1
fi
%if %noperms == 0
%if 0%{?suse_version} >= 1120
%if 0%{?set_permissions:1} > 0
  if [ ! -f /tmp/no_permissions ] ; then
      %set_permissions %{name}
  fi
%else
  if [ ! -f /tmp/no_permissions ] ; then
      %run_permissions
  fi
%endif
%endif
%endif

%changelog
* Sun Aug 22 2021 15:30:40 +0000 Manvendra Bhangui <procmail@indimail.org> 3.23.0-1.1%{?dist}
Release 3.23.0-1.1 Start 20/06/2020
- added setgroups() before setuid() call
- added debuginfo package
- PKGBUILD.in: Added missing variable definitions
